Galon Cloud
Galon API v1

/builds/{job_id}/artifacts

Base URL https://api.galon.ai/v1 · export GALON_API_BASE="https://api.galon.ai/v1"

GET /builds/{job_id}/artifacts

List a build's artefacts

API key (Bearer), on the public API endpoint.

Parameters

NameInTypeDescription
job_idpathstring · required

Responses

StatusDescriptionBody
200Artefacts stripped of any storage referenceArtifactListResponse
403scope_missing (artifact:read)
404build_not_found
503artifact_projection_invalid

Examples

curl

curl -X GET "$GALON_API_BASE/builds/<job_id>/artifacts" \
  -H "Authorization: Bearer $GALON_API_KEY"

Node.js (SDK)

import { Galon } from "galon";

const galon = new Galon(process.env.GALON_API_KEY);
const result = await galon.artifacts.list("<id>", { limit: 20 });

Python (SDK)

from galon import Galon

galon = Galon()  # reads GALON_API_KEY
result = galon.artifacts.list("<id>", {"limit": 20})